<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<div id="right">
	<form method="get" action="listClientsvip.jsp" name="jumpForm">
		<input type="hidden" name="user" value="${param.number}"/>
		<input type="hidden" name="userType" value="${param.numberType}"/>
		<input type="hidden" name="name" value="${param.queue}"/>
	</form>
	
	<form method="post" action="delClientsvip.jsp" name="deleteForm" target="_self">
		<input type="hidden" name="id"/>
		<input type="hidden" name="number" value="${param.number}"/>
		<input type="hidden" name="numberType" value="${param.numberType}"/>
		<input type="hidden" name="queue" value="${param.queue}"/>
	</form>
	
	<form method="post" action="addClientsvip.jsp" name="editForm" target="_self">
		<input type="hidden" name="mode"/>
		<input type="hidden" name="id"/>
	</form>
	
	<fmt:bundle basename="clientsvip">
		<c:if test="${not empty sessionScope.message}">
			<c:choose>
				<c:when test="${sessionScope.messageType eq \"error\"}">
					<c:set var="class" value="error"/>
				</c:when>
				<c:otherwise>
					<c:set var="class" value="ok"/>
				</c:otherwise>
			</c:choose>
				<div class="${class}">
				<fmt:message key="${sessionScope.message}"/>
				<c:if test="${sessionScope.message eq \"user.error.generic\"}">
					${sessionScope.error}
				</c:if>
			</div>
			<c:set var="message" value="" scope="session"/>
		</c:if>
	
		<c:choose>
			<c:when test="${empty param.queue}">
				
				<sql:query var="rs" dataSource="jdbc/ipcontact">
					SELECT DISTINCT queue 
					FROM clientes_vip
					WHERE queue is not NULL 
					ORDER BY queue
				</sql:query>
				
				<h1><fmt:message key="listclientsvip.title"/></h1>
				<form method="get" name="formulario" action="listClientsvip.jsp">
				
					<input type="hidden" name="queue" value="cc_clientes_especiales"/>		
	 			
	 				<table class="query">
		            	<tr class="plain">
							<td class="query"> <fmt:message key="listclientsvip.number"/>: </td>
							<td class="query"><input type="text" size="35" name="number"/></td>
							<td class="query">
								<select name="numberType">
									<option value="1" ><fmt:message key="equal"/></option>
									<option value="2" selected="selected"><fmt:message key="contain"/></option>
									<option value="3" ><fmt:message key="startswith"/></option>
									<option value="4" ><fmt:message key="endswith"/></option>
								</select> 
							</td>
						</tr>
		            
						<tr class="plain">
			        		<td class="query" colspan="2">
			        			<input class="boton" type="submit" value="<fmt:message key='listclientsvip.submit'/>"/>
			            	</td>
			            	<td class="query"/>
			        	</tr>
					</table>
				</form>
			</c:when>
				
			<c:otherwise>
			
				<w:where var='conds'>
		    		<c:if test='${param.queue != "all"}'>
						<w:condition attribute='queue' value='${param.queue}'/>
		    		</c:if>
		    		<w:condition attribute='number' comparator='${param.numberType}' value='${param.number}'/>
				</w:where>
				
				
				<c:set var="query" value="
					SELECT number,queue, name, account_number
		    		FROM clientes_vip
					${conds}
					GROUP BY number"
				/>
				
				<sql:query var="rs" dataSource="jdbc/ipcontact">
		    		${query} 
				</sql:query>

				<h3><fmt:message key="listclientsvip.title"/></h3>
							
				<table class="data">
					<tr class="tit">
						<th> <fmt:message key="listclientsvip.number"/> </th>
						<th> <fmt:message key="listclientsvip.name"/> </th>
						<th> <fmt:message key="listclientsvip.account_number"/> </th>
						<th> </th>
						<th> </th>
					</tr>
	
					<c:forEach var="row" varStatus="stat" items="${rs.rows}">
						<c:choose>	
							<c:when test="${stat.count % 2 == 0}">
								<tr class="even">
							</c:when>
							<c:otherwise>
								<tr class="odd">
							</c:otherwise>
						</c:choose>
						
						<td class="data">${row.number}</td>
						<td class="data">${row.name}</td>
						<td class="data">${row.account_number}</td>
						
						<td class="data">
							<a class="link" href="javascript:edit('${row.number}')">
								<fmt:message key="clientesvip.edit"/>
							</a>
						</td>
						
						<td class="data">
							<fmt:message key="clientsvip.delete.question" var="question"/>
							<a class="link" href="javascript:del('${row.number}','${question}')">
								<fmt:message key="clientsvip.delete"/>
							</a>
							<c:set var="question" value=""/>
						</td>
						
						</tr>
					</c:forEach>
				</table>
				
			</c:otherwise>
		</c:choose>
	
	</fmt:bundle>
</div>
</body>
</html>
	