<%pageContext.setAttribute("path","../");%>
<%@ include file="../menu.jsp" %>

<fmt:bundle basename="clientsvip">    	
	<div id="right">
		<script type="text/javascript" src="${path}include/formval.js"></script>
		<script type="text/javascript">
		<!--
  			function validateOnSubmitC() {
  				if (!validateNr(document.forms.formulario.number, 'inf_number', true)) {
    				alert("El campo Numero no es valido");
    				return false;
    			}
    		  	return true;
  			};

		//-->
		</script>
			
		<c:if test="${not empty sessionScope.message}">
			<c:set var="class" value="error"/>
			<c:if test="${sessionScope.messageType eq \"error\"}">
				<c:set var="class" value="error"/>
			</c:if>
			<c:if test="${sessionScope.messageType eq \"ok\"}">
				<c:set var="class" value="ok"/>
			</c:if>
			<div class="${class}">
				<c:set var="class" value=""/>
				${sessionScope.message}
				<c:set var="message" value="" scope="session"/>
			</div>
		</c:if>
		
		<c:set var="queue" value="cc_clientes_especiales" scope="session"/>
		
		<h2><fmt:message key="addclientsvip.title"/></h2>	
		
		<c:choose>
			<c:when test="${(empty param.number)}">
			
				<c:choose>
					<c:when test="${not empty param.id}">
						<sql:query var="rs" dataSource="jdbc/ipcontact">
							SELECT * 
							FROM clientes_vip
							WHERE number = '${param.id}'
						</sql:query>
							
						<c:set var="number" value="${rs.rows[0].number}"/>   
						<c:set var="queue" value="${rs.rows[0].queue}"/>
						<c:set var="name" value="${rs.rows[0].name}"/>
						<c:set var="account_number" value="${rs.rows[0].account_number}"/>
					</c:when>
					<c:otherwise>
						<c:set var="number" value=""/>
						<c:set var="queue" value=""/> 
						<c:set var="name" value=""/>
						<c:set var="account_number" value=""/>
					</c:otherwise>
				</c:choose>
			
			
				<form onsubmit="return validateOnSubmitC()" method="get" action="addClientsvip.jsp" name="formulario">
					<table class="query">
						<tr class="plain">
				   			<td class="query"><fmt:message key="addclientsvip.number"/></td>
				       		<td class="query">       				
								<input type="text" name="number" size="20" maxlength="32" value="${number}" onchange="validateNr(this, 'inf_number', true);"/>
				       		</td>
					       	<td class="query" id="inf_number"><fmt:message key="required"/></td>
				   		</tr>
				   		
				   		<tr class="plain">
				   			<td class="query"><fmt:message key="addclientsvip.name"/></td>
				       		<td class="query">       				
								<input type="text" name="name" size="20" value="${name}" />
				       		</td>
					       	<td class="query"/>
				   		</tr>
				   		
				   		<tr class="plain">
				   			<td class="query"><fmt:message key="addclientsvip.account_number"/></td>
				       		<td class="query">       				
								<input type="text" name="account_number" size="20" value="${account_number}" />
				       		</td>
					       	<td class="query"/>
				   		</tr>
				   				   	
				   		<tr class="plain">
							<td class="query">
								<fmt:message key="addclientsvip.submit" var="submit"/>
								<input class="boton" type="submit" value="${submit}" align="middle"/> 
								<c:set var="submit" value=""/>
							</td>
							<td class="query" colspan="3">
								<fmt:message key="addclientsvip.reset" var="reset"/>
								<input class="boton" type="reset" value="${reset}" align="middle"/>
								<c:set var="reset" value=""/>
							</td>
						</tr>
					</table>
					<c:if test="${not empty param.id}">
		    			<input type="hidden" name="oldClientesvip" value="${param.id}" />
					</c:if>
				</form>
			</c:when>
			
			<c:otherwise>
			
				<c:choose>
					<c:when test="${empty param.oldClientesvip}">
						<c:catch var="e">
							<sql:update dataSource="jdbc/ipcontact">
								INSERT INTO clientes_vip (number, queue, name, account_number)
								VALUES ('${param.number}', '${queue}', '${param.name}', '${param.account_number}')
							</sql:update>
						</c:catch>
					</c:when>
					<c:otherwise>
						<c:catch var="e">
							<sql:update dataSource="jdbc/ipcontact">
								UPDATE clientes_vip SET 
								number = '${param.number}',
								queue ='${queue}',
								name = '${param.name}',
								account_number='${param.account_number}'
								WHERE number='${param.oldClientesvip}'
							</sql:update>
						</c:catch>
					</c:otherwise>
				</c:choose>
					
				
				<%
					String result;
					try{
						Document doc;
						Element action;

						doc = XMLHelper.newDocument();
						action = XMLHelper.newElement(doc, "action", "type", "command");
			
						XMLHelper.addElement(doc, action, "command", "ipcontact reload tables");
			
						doc.appendChild(action);
						net = (Network)session.getAttribute("connection");
			
						try {
							result = net.action(doc, "ipcontact reload tables");
						} catch (Exception e) {
							e.printStackTrace();
							System.out.println("Error al realizar reload de tablas ipcontact");
							throw new Exception("error.reloadipcontact");
						}

						if (result.equals("ok")) {
							session.setAttribute("messageType", "ok");
							session.setAttribute("message", "clientsvip.deleted");
						}
					} catch (Exception e) {
						e.printStackTrace();
						throw new Exception("error.reload");
					}
				%>
			
				<c:choose>
					<c:when test="${not empty e}">
						<c:set var="message" scope="session" value="${e}"/>
						<c:set var="messageType" scope="session" value="error"/>
					</c:when>
					<c:otherwise>
						<fmt:message key="addclientsvip.added" var="message">
							<fmt:param value="${param.number}"/>
						</fmt:message>
						<c:set var="message" scope="session" value="${message}"/>
						<c:set var="messageType" scope="session" value="ok"/>
					</c:otherwise>
				</c:choose>
				<c:redirect url="addClientsvip.jsp"/>
			</c:otherwise>
		</c:choose>
	</div>
</fmt:bundle>
</body>
</html>
